#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	puts("set pointsize 2");
	puts("set terminal epslatex");
	puts("set output \"hypergeometric.tex\"");
	puts("set title \"Hypergeometric Distribution\"");
	puts("set xlabel \"$k$\"");
	puts("set ylabel \"$p(k)$\"");
	puts("plot [-1:11][0:0.6] \"-\" title \"$n_1=5,~n_2=20,~p=0.7$\" with points");
	for (k = 0; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_hypergeometric_pdf(k, 5, 20, 3));

	return 0;
}
