#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	puts("set pointsize 2");
	puts("set terminal epslatex");
	puts("set output \"logarithmic.tex\"");
	puts("set title \"Logarithmic Distribution\"");
	puts("set xlabel \"$k$\"");
	puts("set ylabel \"$p(k)$\"");
	puts("plot [-1:11] \"-\" title \"$p=0.7$\" with points");
	for (k = 1; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_logarithmic_pdf(k, 0.7));

	return 0;
}
