#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	int k;
	puts("set pointsize 2");
	puts("set terminal epslatex");
	puts("set output \"poisson.tex\"");
	puts("set title \"Poisson Distribution\"");
	puts("set xlabel \"$k$\"");
	puts("set ylabel \"$p(k)$\"");
	puts("plot [-1:11] \"-\" title \"$\\\\mu = 2.5$\" with points");
	for (k = 0; k <= 10; k++)
		printf("%d\t%f\n", k, gsl_ran_poisson_pdf(k, 2.5));

	return 0;
}
